org.apache.hc.client5.http.cookie

## Interface CommonCookieAttributeHandler

All Superinterfaces:
  CookieAttributeHandler

All Known Implementing Classes:
  BasicDomainHandler, BasicExpiresHandler, BasicMaxAgeHandler, BasicPathHandler, BasicSecureHandler, LaxExpiresHandler, LaxMaxAgeHandler, PublicSuffixDomainFilter

    public interface CommonCookieAttributeHandler
    extends CookieAttributeHandler

Extension of `CookieAttributeHandler` intended to handle one specific common attribute whose name is returned with `getAttributeName()` method.

Since:
  4.4

### Method Summary

Methods
`String` `getAttributeName()`

### Methods inherited from interface org.apache.hc.client5.http.cookie.CookieAttributeHandler

`match, parse, validate`

### Method Detail

#### getAttributeName

    String getAttributeName()